package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description 订单商品VO
 * @Author: ph
 * @Date: 2019/12/4 10:41
 */
public class OrderItemVO implements Serializable {

    @ApiModelProperty("订单号")
    private String orderNo;

    @ApiModelProperty("商家id")
    private Long sellerId;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("订单商品行id")
    private Long id;

    @ApiModelProperty("商品id")
    private String itemId;

    @ApiModelProperty("限时折扣")
    private Integer isTimeDiscount;

    @ApiModelProperty("活动id")
    private Long activityId;

    @ApiModelProperty("spuId")
    private Long goodsId;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("商品图片")
    private String itemImage;

    @ApiModelProperty("商品规格")
    private String itemSpec;

    @ApiModelProperty("商品单位")
    private String itemUnit;

    @ApiModelProperty("商品条码")
    private String itemBarcode;

    @ApiModelProperty("商品标识")
    private String itemSign;

    @ApiModelProperty("品牌标识")
    private String brandSign;

    @ApiModelProperty("市场价")
    private Integer marketPrice;

    @ApiModelProperty("成本价")
    private Integer costPrice;

    @ApiModelProperty("会员价")
    private Integer memberPrice;

    @ApiModelProperty("商品成交价格")
    private Integer itemPrice;

    @ApiModelProperty("购买数量")
    private BigDecimal num;

    @ApiModelProperty("优惠金额")
    private Integer discountAmount;

    @ApiModelProperty("包装费")
    private Integer packAmount;

    @ApiModelProperty("实付金额")
    private Integer paidAmount;

    @ApiModelProperty("折扣列表")
    private List<OrderDiscountVO> discountList;

    @ApiModelProperty("扩展信息")
    private Map<String, Object> extraMap;

    @ApiModelProperty("创建时间")
    private Date createdAt;

    @ApiModelProperty("更新时间")
    private Date updatedAt;

    @ApiModelProperty("加菜时间")
    private Date orderAt ;

    @ApiModelProperty("条码")
    private String productNo;

    @ApiModelProperty("是否赠品")
    private Integer isGift;

    @ApiModelProperty(value = "f码")
    private String fCode;

    @ApiModelProperty(value = "来源单号")
    private String sourceId;

    @ApiModelProperty(value = "商品类型 0:普通商品 1:套餐商品 2:套餐子商品")
    private Integer itemType;

    @ApiModelProperty(value = "归属商品ID")
    private Long ownerId;

    @ApiModelProperty(value = "套餐商品列表")
    private List<OrderItemVO> setMealItemList;

    @ApiModelProperty(value = "商品加料列表")
    private List<OrderItemBatchingVO> itemBatchingList;

    public List<OrderItemBatchingVO> getItemBatchingList() {
        return itemBatchingList;
    }

    public void setItemBatchingList(List<OrderItemBatchingVO> itemBatchingList) {
        this.itemBatchingList = itemBatchingList;
    }

    public Long getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    public Integer getItemType() {
        return itemType;
    }

    public void setItemType(Integer itemType) {
        this.itemType = itemType;
    }

    public List<OrderItemVO> getSetMealItemList() {
        return setMealItemList;
    }

    public void setSetMealItemList(List<OrderItemVO> setMealItemList) {
        this.setMealItemList = setMealItemList;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getfCode() {
        return fCode;
    }

    public void setfCode(String fCode) {
        this.fCode = fCode;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Integer getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Integer paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Integer getIsTimeDiscount() {
        return isTimeDiscount;
    }

    public void setIsTimeDiscount(Integer isTimeDiscount) {
        this.isTimeDiscount = isTimeDiscount;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemImage() {
        return itemImage;
    }

    public void setItemImage(String itemImage) {
        this.itemImage = itemImage;
    }

    public String getItemSpec() {
        return itemSpec;
    }

    public void setItemSpec(String itemSpec) {
        this.itemSpec = itemSpec;
    }

    public String getItemUnit() {
        return itemUnit;
    }

    public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
    }

    public String getItemBarcode() {
        return itemBarcode;
    }

    public void setItemBarcode(String itemBarcode) {
        this.itemBarcode = itemBarcode;
    }

    public String getItemSign() {
        return itemSign;
    }

    public void setItemSign(String itemSign) {
        this.itemSign = itemSign;
    }

    public String getBrandSign() {
        return brandSign;
    }

    public void setBrandSign(String brandSign) {
        this.brandSign = brandSign;
    }

    public Integer getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(Integer marketPrice) {
        this.marketPrice = marketPrice;
    }

    public Integer getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Integer costPrice) {
        this.costPrice = costPrice;
    }

    public Integer getMemberPrice() {
        return memberPrice;
    }

    public void setMemberPrice(Integer memberPrice) {
        this.memberPrice = memberPrice;
    }

    public Integer getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Integer itemPrice) {
        this.itemPrice = itemPrice;
    }

    public BigDecimal getNum() {
        return num;
    }

    public void setNum(BigDecimal num) {
        this.num = num;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getPackAmount() {
        return packAmount;
    }

    public void setPackAmount(Integer packAmount) {
        this.packAmount = packAmount;
    }

    public List<OrderDiscountVO> getDiscountList() {
        return discountList;
    }

    public void setDiscountList(List<OrderDiscountVO> discountList) {
        this.discountList = discountList;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public Integer getIsGift() {
        return isGift;
    }

    public void setIsGift(Integer isGift) {
        this.isGift = isGift;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
